<?php


namespace App\ViewModels\Consulta\ConsultaRegistrationViewModel;


use App\Utils\Builder;
use App\Utils\Collections\GeneralCollection;

class RespostaEscolhaOpcaoBuilder implements Builder
{
    protected $id_pergunta;
    protected $resposta;

    /**
     * @param int $id_pergunta
     * @return RespostaEscolhaOpcaoBuilder
     */
    public function setIdPergunta(int $id_pergunta): RespostaEscolhaOpcaoBuilder
    {
        $this->id_pergunta = $id_pergunta;
        return $this;
    }

    /**
     * @param GeneralCollection $resposta
     * @return RespostaEscolhaOpcaoBuilder
     */
    public function setResposta(GeneralCollection $resposta): RespostaEscolhaOpcaoBuilder
    {
        $this->resposta = $resposta;
        return $this;
    }

    public function build(): RespostaEscolhaOpcao
    {
        $resposta_escolha_opcao = new RespostaEscolhaOpcao();
        $resposta_escolha_opcao->setidpergunta($this->id_pergunta);
        $resposta_escolha_opcao->setresposta($this->resposta);
        return $resposta_escolha_opcao;
    }
}